Passer au contenu principal
POST
/
company
/
domains
/
{id}
/
verify-ownership
@firma-dev/sdk
import { FirmaClient } from "@firma-dev/sdk";

const firma = new FirmaClient({ apiKey: "YOUR_API_KEY" });

const response = await firma.emailDomains.verifyCompanyDomainOwnership({
    id: "id"
});
console.log(response);
curl --request POST \
--url https://api.firma.dev/functions/v1/signing-request-api/company/domains/{id}/verify-ownership \
--header 'Authorization: <api-key>'
import requests

url = "https://api.firma.dev/functions/v1/signing-request-api/company/domains/{id}/verify-ownership"

headers = {"Authorization": "<api-key>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {Authorization: '<api-key>'}};

fetch('https://api.firma.dev/functions/v1/signing-request-api/company/domains/{id}/verify-ownership', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "message": "Domain ownership verified",
  "domain": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "domain": "acme.com",
    "verification_status": 1,
    "domain_status": 0
  },
  "next_step": "Call POST /company/domains/{id}/finalize to complete domain setup and receive DNS records for email sending"
}

Autorisations

Authorization
string
header
requis

Clé API pour l'authentification. Utilisez votre clé API directement sans préfixe (par exemple, 'your-api-key'). Le préfixe Bearer est optionnel mais pas obligatoire.

Paramètres de chemin

id
string<uuid>
requis

ID du domaine

Réponse

Propriété du domaine vérifiée avec succès

Résultat de la vérification de propriété du domaine

message
string
requis
domain
object
requis

Configuration de domaine email pour l'envoi des emails de Demande de Signature

next_step
string
requis